# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize pkgconfig(gdk-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0)
# END SourceDeps(oneline)
Name:          foxtrotgps
Version:       1.1.1
Release:       alt1_5
Summary:       GTK+ mapping and GPS application
Group:         Office
License:       GPLv2
URL:           http://www.foxtrotgps.org
Source0:       http://www.foxtrotgps.org/releases/%{name}-%{version}.tar.xz

BuildRequires: libbluez-devel
BuildRequires: libdbus-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: libGConf-devel
BuildRequires: libcurl-devel
BuildRequires: libexif-devel
BuildRequires: libxml2-devel
BuildRequires: libsqlite3-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: libgps-devel

Requires: gpsd

# foxtrotgps is a fork of tangogps which was previously packaged for Fedora.
# tangogps is dead since 2012, therefore we include foxtrotgps into Fedora
# and obsolete tangogps.
Obsoletes: tangogps

# The following two package are only needed, if someone wants
# to geotag photos, which is an optional functionality. We 
# decided to include them, because then all functionality is
# available without manual package installation.
Requires: gpscorrelate
Requires: jhead

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Source44: import.info

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used
to track the position of a GPS receiver on a map in relation to
user-defined points of interest (POIs), a destination and waypoints,
and tracks loaded from files or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

By default it uses map data from the OpenStreetMap.org project; 
additionally a variety of other repositories can easily be added.

%prep
%setup -q

%build
%configure --disable-schemas-install
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -rf %{buildroot}/usr/share/doc/%{name}/
mv %{buildroot}%{_sysconfdir}/gconf/schemas/apps_foxtrotgps.schemas %{buildroot}%{_sysconfdir}/gconf/schemas/%{name}.schemas

%find_lang %{name}

%post
%gconf2_install %{name}

%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  %{name}
fi

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog HACKING NEWS README
%doc contrib/README.osb2foxtrot

%{_bindir}/foxtrotgps
%{_bindir}/convert2gpx
%{_bindir}/convert2osm
%{_bindir}/poi2osm
%{_bindir}/osb2foxtrot
%{_bindir}/georss2foxtrotgps-poi
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/foxtrotgps.png
%{_datadir}/pixmaps/foxtrotgps-*.png
%{_mandir}/man?/*

%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_5
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_4
- initial fc import

